/* 


example program to compute the sin and cosine 
of x values in degrees read in from stdin

Thorsten Becker, July 2005, twb@usc.edu

$Id: main.c,v 1.5 2005/08/03 00:03:25 becker Exp becker $

*/
#include "mysincos.h"




int main(int argc, char **argv)
{
  COMP_PRECISION x;
  int n;
  if(argc != 1){
    /* 
       for all non-zero number of command line arguments, 
       print a help page
    */

    fprintf(stderr,"%s\ncompute sin and cos from x values [deg] read from stdin\n",
	    argv[0]);
    exit(-1);
  }
  fprintf(stderr,"%s: reading x angles in degrees from stdin\n",
	  argv[0]);
  n = 0;
  while(fscanf(stdin,SCAN_FMT,&x) == 1){
    /* 
       compute and print values 
    */
    fprintf(stdout,"%11g %11g\n",
	    mysinf_deg(x),mycosf_deg(x));
    n++;			/* increment counter */
  } /* end while loop */
  fprintf(stderr,"%s: computed %i pairs of sines/cosines\n",
	  argv[0],n);

  return 0;			/* normal end */
}
